@media (max-width: 800px) {
    button {
        font-size: 10px;
        padding: 5px 20px;
    }

    .paginas, .paginaActual {
        width: 10px;
        height: 10px;
    }

    .mi-tabla th {
        max-width: 50px;
    }
}

@media (max-width: 600px) {
    #form {
        width: 100%;
        max-width: 90%;
        min-width: 350px;
        padding: 10px;
    }
}

@media (max-width: 1100px) {
    .mi-tabla {
        table-layout: fixed;
    }

    .mi-tabla th, .mi-tabla td {
        overflow: hidden;
        white-space: nowrap;
    }
}
